1

I have an iPhone 5c and want to download Netflix. Every time I try though, it tells me that I need iOS 11 which my phone can't do. It doesnt give me an option to download the last compatible version. Is there a way to do this?

  • Can you try from the purchased tab? – JBis Aug 22 at 2:25
3
  • Unless you've bought/downloaded Netflix before (at a time there still was a Netflix app compatible with your current iOS version) you can't access old versions in the store.
  • Netflix might have pulled old versions from the store because theAPI between the app and the netflix servers changed and old versions can't talk to the backend any longer

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .